'use server';
import { safeFetchApi } from '@/lib/fetch.api';
import {responseStates, responseMunicipalities, responseParishes} from '../schemas/users';

// import { auth } from '@/lib/auth';


export const getStateAction = async () => {
  const [error, response] = await safeFetchApi(
    responseStates,
    `/location/state/`,
    'GET'
  );
  if (error) throw new Error(error.message);
  return response;
};

export const getMunicipalityAction = async (id : number) => { 
  const [error, response] = await safeFetchApi(
    responseMunicipalities,
    `/location/municipality/${id}`,
    'GET'
  );
  if (error) throw new Error(error.message);
  return response;
};

export const getParishAction = async (id : number) => {
  const [error, response] = await safeFetchApi(
    responseParishes,
    `/location/parish/${id}`,
    'GET'
  );
  if (error) throw new Error(error.message);
  return response;
};